Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Class OvalNetworkItem

    java.lang.Object
      uchicago.src.sim.gui.DrawableItem
          uchicago.src.sim.gui.OvalItem
              uchicago.src.sim.gui.OvalNetworkItem

All Implemented Interfaces:
  NetworkDrawable, NonGridDrawable

    public class OvalNetworkItem

extends OvalItem
implements NetworkDrawable

An oval shaped NetworkDrawable.

Version:
  $Revision: 1.5 $ $Date: 2004/11/03 19:50:59 $
Author:
  Nick Collier
See Also:
  `DrawableItem`

Field Summary
`protected double` | `x`
`protected double` | `y`

Fields inherited from class uchicago.src.sim.gui.OvalItem
`recalcBorder`

Fields inherited from class uchicago.src.sim.gui.DrawableItem
`allowResizing, borderColor, borderWidth, color, font, height, hollow, label, labelColor, recalc, stroke, width`

Constructor Summary
`OvalNetworkItem(double x, double y)`

Method Summary
`double` | `getX()` Gets the x coordinate of this drawable.
`double` | `getY()` Gets the y coordinate of the this drawable.
`void` | `setX(double val)` Sets the X coordinate for the NetworkDrawable.
`void` | `setY(double val)` Sets the Y coordinate for the NetworkDrawable.

Methods inherited from class uchicago.src.sim.gui.OvalItem
`calcSize, contains, draw`

Methods inherited from class uchicago.src.sim.gui.DrawableItem
`allowResizing, getBorderColor, getBorderWidth, getColor, getFont, getHeight, getLabelColor, getWidth, isHollow, setBorderColor, setBorderWidth, setColor, setFont, setHeight, setHollow, setLabel, setLabelColor, setSize, setSize, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.gui.NetworkDrawable
`allowResizing, calcSize, getBorderColor, getBorderWidth, getColor, getFont, getHeight, getLabelColor, getWidth, setBorderColor, setBorderWidth, setColor, setFont, setHeight, setLabel, setLabelColor, setWidth`

Methods inherited from interface uchicago.src.sim.gui.NonGridDrawable
`contains, draw`

Field Detail

### x

    protected double x

### y

    protected double y

Constructor Detail

### OvalNetworkItem

    public OvalNetworkItem(double x,
                           double y)

Method Detail

### setX

    public void setX(double val)

  Description copied from interface: `NetworkDrawable`
  Sets the X coordinate for the NetworkDrawable.

  Specified by:
    `setX` in interface `NetworkDrawable`

### getX

    public double getX()

  Description copied from interface: `NonGridDrawable`
  Gets the x coordinate of this drawable.

  Specified by:
    `getX` in interface `NonGridDrawable`

### setY

    public void setY(double val)

  Description copied from interface: `NetworkDrawable`
  Sets the Y coordinate for the NetworkDrawable.

  Specified by:
    `setY` in interface `NetworkDrawable`

### getY

    public double getY()

  Description copied from interface: `NonGridDrawable`
  Gets the y coordinate of the this drawable.

  Specified by:
    `getY` in interface `NonGridDrawable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD